/*========================menu========================*/
function menuRoleFun(menuArr) {
    var muluArr=[];
    var mulu=null;
    var menuLiArr=[];
    /*菜单*/
    if(menuArr!=null){

        /*系统目录menuArr.length*/
        for (var i = 0; i < menuArr.length; i++) {
            if ( menuArr[i].menuUrl == null || menuArr[i].menuUrl == '') {
                mulu = liFun(menuArr[i].menuName, menuArr[i].menuIcon);
                /*链接跳转*/
                for (var j = 0; j < menuArr.length; j++) {
                    if ((menuArr[j].menuUrl != null || menuArr[j].menuUrl != '')&&menuArr[i].menuId==menuArr[j].parentId) {
                        menuLiArr.push(menuArr[j]);
                    }
                }
                if (menuLiArr != null) {
                    if (menuLiArr.length > 0) {
                        var liMenu = ulSysMenuFun(menuLiArr);
                        menuLiArr=[];
                        mulu.append(liMenu);
                    }
                }
                muluArr.push(mulu);
            }
        }
    }
    return muluArr;
}

function listPowerFun(menuArr){
    console.log(menuArr);
    var hosp = newLiFun();
    var hospArr = [];
    if (menuArr != null && menuArr.length > 0) {
        /*医院*/
        for (var i = 0; i < menuArr.length; i++) {
            if(hospArr.indexOf(menuArr[i].hospitalName) == -1 && menuArr[i].hospitalName!=null) {
                hospArr.push(menuArr[i].hospitalName);
                var hospA = newAFun(menuArr[i].hospitalName, menuArr[i].menuIcon);
                hosp.append(hospA);
                //console.log(menuArr[i]);
                /*权限系统*/
                var sysUL = newUlFun();
                var sysArr = [];
                for (var j = 0; j < menuArr.length; j++) {
                    if (sysArr.indexOf(menuArr[j].sysFlag) == -1 && menuArr[j].sysFlag== "power") {
                        sysArr.push(menuArr[j].sysFlag);
                        //console.log(menuArr[j]);
                        var sysA = newAFun(menuArr[j].sysName, menuArr[j].menuIcon);
                        var sysLi = newLiFun();
                        sysLi.append(sysA);
                        /*目录*/
                        var muluArr = [];
                        var muluUL = newUlFun();
                        for (var y = 0; y < menuArr.length; y++) {
                            console.log(menuArr[y]);
                            if (muluArr.indexOf(menuArr[y].menuId) == -1 && menuArr[y].menuUrl == null && menuArr[y].parentId==0 ) {
                                console.log(menuArr[y]);
                                muluArr.push(menuArr[y].menuId);
                                var muluA = newAFun(menuArr[y].menuName, menuArr[y].menuIcon);
                                var muluLi = newLiFun();
                                muluLi.append(muluA);
                                //console.log(menuArr[y]);
                                /*菜单目录*/
                                var mulArr = [];
                                var mulUL = newUlFun();
                                for (var x = 0; x < menuArr.length; x++) {
                                    if (mulArr.indexOf(menuArr[x].menuId) == -1 && menuArr[x].menuUrl == null && menuArr[x].parentId != 0 && menuArr[x].menuId!=null) {
                                        muluArr.push(menuArr[x].menuId);
                                        //console.log(menuArr[x]);
                                        var mulA = newAFun(menuArr[x].menuName, menuArr[x].menuIcon);
                                        var mulLi = newLiFun();
                                        mulLi.append(mulA);

                                        /*菜单*/
                                        var menuAr = [];
                                        var menuAUL = newUlFun();
                                        for (var z = 0; z < menuArr.length; z++) {
                                            if (menuAr.indexOf(menuArr[z].menuId) == -1 && menuArr[z].menuUrl!=null && menuArr[z].menuUrl != '') {
                                                menuAr.push(menuArr[z].menuId);
                                                console.log(menuArr[z]);

                                                var menuAA = newAFun(menuArr[z].menuName, menuArr[z].menuIcon);
                                                var menuALi = newAliFun(menuArr[z].menuName, menuArr[z].menuIcon, menuArr[z].menuUrl);
                                                menuAUL.append(menuALi);
                                            }
                                        }
                                        mulLi.append(menuAUL);

                                        mulUL.append(mulLi);
                                    }
                                }
                                muluLi.append(mulUL);
                                muluUL.append(muluLi);
                            }

                        }
                        sysLi.append(muluUL);
                        sysUL.append(sysLi);
                        sysUL.append(sysLi)
                    }

                }
                hosp.append(sysUL);

            }
        }
    }
    return hosp;
}

function newUlFun(){
    var newUl = $("<ul class=\"treeview-menu\" style=\"display: block;\"></ul>");
    return newUl;
}
function newLiFun(){
    var newLi=$("<li class=\"treeview menu-open\"></li>");
    return newLi;
}
function newAFun(aName, iconCss){
    /*
    <a href="#">
       <i class="fa fa-share"></i> <span>Multilevel</span>
       <span class="pull-right-container">
           <i class="fa fa-angle-left pull-right"></i>
       </span>
     </a>
     */
    var newA = $("<a href=\"#\"></a>");
    var subIcon = $("<i></i>");
    subIcon.addClass(iconCss);
    var subSpan = $("<span class=\"pull-right-container\"><i class='fa fa-angle-left pull-right'></i></span>");
    newA.append(subIcon);
    newA.append(aName);
    newA.append(subSpan);
    return newA;
}

function newAliFun(aName,iconCss,menuUrl){
    /*<li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li> */
    var newli = $("<li></li> ");
    var newicon=$("<i></i>");
    var newA=$("<a href=\"" + menuUrl + "\" target=\"iFrame1\"></a>");
    newicon.addClass(iconCss);
    newA.append(newicon);
    newA.append(aName);
    newli.append(newA);
    return newli;
}

function menuFun(menuArr){
    console.log(menuArr);
    var menuUl=$("<ul  class=\"sidebar-menu\" data-widget=\"tree\" ></ul>");
    var arr=[];
    var hospital=null;
    if(menuArr.length>0){
     for(var i=0;i< menuArr.length;i++){
         if(menuArr[i].menuIcon==null){
             menuArr[i].menuIcon="fa fa-circle-o";
         }
         if(menuArr[i].hospitalName!=null){
            /*
                li-->a-->ul-->li-->a--ul-->li-->a-->ul-->li
             */
            /*医院li*/
             if (arr.indexOf(menuArr[i].hospitalName) == -1) {
                 arr.push(menuArr[i].hospitalName);
                 hospital = lihospFun(menuArr[i].hospitalName, menuArr[i].menuIcon);
                 hospital.addClass("tree");

                 /*科室*/
                 var dept = null;
                 var deptArr = [];
                 if (deptArr.indexOf(menuArr[i].deptId) == -1) {
                     deptArr.push(menuArr[i].deptId);
                     if (menuArr[i].deptId != null) {
                         dept = ulFun(menuArr[i].deptName, menuArr[i].menuIcon);
                         /*系统*/
                         var sysUl = null;
                         var sysArr = [];
                         var menuLiFun = [];
                         for (var j = 0; j < menuArr.length; j++) {
                             if (menuArr[i].dictId == menuArr[j].dictId) {
                                 /*菜单*/
                                 var menArr = [];
                                 for (var k = 0; k < menuArr.length; k++) {
                                     if (menuArr[k].menuId == menuArr[j].menuId) {
                                         if (menArr.indexOf(menuArr[k].menuId) == -1 && menuArr[k].menuName!="菜单列表") {
                                             menArr.push(menuArr[k].menuId);
                                             menuLiFun.push(menuArr[k]);
                                         }
                                     }
                                 }
                                 /*系统-菜单*/
                                 if(menuLiFun.length>0) {
                                     if (sysArr.indexOf(menuArr[j].sysFlag) == -1) {
                                         sysArr.push(menuArr[j].sysFlag);
                                         sysUl = ulFun(menuArr[j].sysName, menuArr[j].menuIcon);
                                         /*菜单sysMenuLiFun*/
                                         var xLiFun = ulSysMenuFun(menuLiFun);
                                         sysUl.find('li').append(xLiFun);
                                         //sysUl.append(menuLiFun);
                                         dept.find('li').append(sysUl);
                                     }
                                 }
                             }
                         }
                         sysArr = null;
                         hospital.append(dept);

                     }
                 }
                 menuUl.append(hospital);
             }
         }
     }
        deptArr=null;
    }
    return menuUl;
}

function lihospFun(liName, iconCss) {
    var subLi = $("<li class=\"treeview menu-open\"></li>");
    subLi.append(aFun(liName, iconCss));
    return subLi;
}

function roleSysFun(menuArr) {
    var subLi = $("<li class=\"treeview menu-open\"></li>");
    subUl.append(liSysMenuFun(menuArr));
    return subLi;
}

function ulFun(liName, iconCss) {
    var subUl = $(" <ul class=\"treeview-menu \" style=\"display: block;\"></ul>");
    subUl.append(liFun(liName, iconCss));
    return subUl;
}

function liFun(liName,iconCss) {
    var subLi = $("<li class=\"treeview menu-open\"></li>");
    subLi.append(aFun(liName, iconCss));
   return subLi;
}

function aFun(aName, iconCss) {
    /**<a href="#"><i class="fa fa-circle-o"></i> 基本功能
     <span class="pull-right-container">
     <i class="fa fa-angle-left pull-right"></i>
     </span>
     </a>*/
    var subA = $("<a href=\"#\"></a>");
    var subIcon = $("<i></i>");
    subIcon.addClass(iconCss);
    var subSpan = $("<span class=\"pull-right-container\"><i class='fa fa-angle-left pull-right'></i></span>");
    subA.append(subIcon);
    subA.append(aName);
    subA.append(subSpan);
    return subA;
}

function ulSysMenuFun(menuArr) {
    var subUl = $(" <ul class=\"treeview-menu \" style=\"display: block;\"></ul>");
    for (var i = 0; i < menuArr.length; i++) {
        var subLi = $("<li></li>");
        var subA = $("<a href=\""+menuArr[i].menuUrl+"\" target=\"iFrame1\"></a>");
        var subIcon = $("<i></i>");
        if (menuArr[i].menuIcon != undefined || menuArr[i].menuIcon != null || menuArr[i].menuIcon != '') {
            subIcon.addClass(menuArr[i].menuIcon);
            subA.append(subIcon);
        }
        subA.append(menuArr[i].menuName);
        subLi.append(subA);
        subUl.append(subLi);
    }
    return subUl;
}


